# xarray.ufuncs.isinf

`xarray.ufuncs.``isinf` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.isinf. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  isinf(x, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Test element-wise for positive or negative infinity.

  Returns a boolean array of the same shape as x, True where `x == +/-inf`, otherwise False.

  Parameters:

  x : array_like

  > Input values

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  y : bool (scalar) or boolean ndarray

  > For scalar input, the result is a new boolean with value True if the input is positive or negative infinity; otherwise the value is False.

  > For array input, the result is a boolean array with the same shape as the input and the values are True where the corresponding element of the input is positive or negative infinity; elsewhere the values are False. If a second argument was supplied the result is stored there. If the type of that array is a numeric type the result is represented as zeros and ones, if the type is boolean then as False and True, respectively. The return value y is then a reference to that array.

  See also

  `isneginf`, `isposinf`, `isnan`, `isfinite`

  Notes

  NumPy uses the IEEE Standard for Binary Floating-Point for Arithmetic (IEEE 754).

  Errors result if the second argument is supplied when the first argument is a scalar, or if the first and second arguments have different shapes.

  Examples

      >>> np.isinf(np.inf)
      True
      >>> np.isinf(np.nan)
      False
      >>> np.isinf(np.NINF)
      True
      >>> np.isinf([np.inf, -np.inf, 1.0, np.nan])
      array([ True,  True, False, False], dtype=bool)

      >>> x = np.array([-np.inf, 0., np.inf])
      >>> y = np.array([2, 2, 2])
      >>> np.isinf(x, y)
      array([1, 0, 1])
      >>> y
      array([1, 0, 1])